% function writeFS(FS,fname,ext)
% DESCRIPTION: writes the focal stack images to disk
% INPUT: FS, focal stack  from the lightfield stored in a [Nxy,Nxy,nbands,Np] array
% fname, common prefix name for all images
% ext, common extension for all images
% WARNING: assumes less than 10000 images in the focal stack

function writeFS(FS,fname,ext)
[Nxy,Nxy,nbands,Np]=size(FS);

for i=1:Np
    imwrite(uint8(round(squeeze(FS(:,:,:,i)))),[fname ,num2str(i,'%04d'),'.',ext]);
end